Subject: bug#38511: etags seems to be confused by macros

From: Francesco Potortì <[email-masked]>
Date: Mon, 09 Dec 2019 14:30:10 +0100

>I read the documentation and didn't understand how the regex feature
>would help. It seems to be useful to identify other constructs which
>you'd like tagged (such as the DEFVAR macro in the Emacs source), not
>transform the source in some way. Put another way, I need a
>"find/replace" sort of feature, not just a "find" feature.

Try this one, and let us know if it satisfies your needs:

etags --regex='/Py_LOCAL_INLINE[ \t]*(.*)\n[^(]+(\([^)]+\)/m'

It assumes that Py_LOCAL_INLINE and its arguments all stay on a single
line, but it can be easily changed to waive this assumption.

-- 
Francesco Potortì (ricercatore)        Voice:  +39.050.621.3058
ISTI - Area della ricerca CNR          Mobile: +39.348.8283.107
via G. Moruzzi 1, I-56124 Pisa         Skype:  wnlabisti
(gate 20, 1st floor, room C71)         Web:    http://fly.isti.cnr.it